pskc_get_key_policy_pinkeyid(3)

NAME
pskc_get_key_policy_pinkeyid - API function

SYNOPSIS
#include <pskc.h>

const char * pskc_get_key_policy_pinkeyid(pskc_key_t * key);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

DESCRIPTION
Get the PSKC KeyPackage Key Policy PINPolicy PINKeyId value. This attribute carries the unique 'Id' attribute vale of the "Key" element held within this "KeyContainer" that contains the value of the PIN that protects the key.

RETURNS
a constant string (must not be deallocated) holding the content, or NULL if not set.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.